import * as ts from 'typescript';
import { Method } from './metadataGenerator';
export declare class MethodGenerator {
    private readonly node;
    private method;
    private path;
    constructor(node: ts.MethodDeclaration);
    IsValid(): boolean;
    Generate(): Method;
    private getParameters();
    private processMethodDecorators();
    private getDecorators(isMatching);
    private getValidMethods();
    private getMethodDescription();
    private getMethodExample();
    private getInitializerValue(initializer);
}
