import { Parameter } from './metadataGenerator';
import * as ts from 'typescript';
export declare class ParameterGenerator {
    private readonly parameter;
    private readonly method;
    private readonly path;
    constructor(parameter: ts.ParameterDeclaration, method: string, path: string);
    Generate(): Parameter;
    private getBodyParameter(parameter);
    private getQueryParameter(parameter);
    private getPathParameter(parameter);
    private getParameterDescription(node);
    private supportsBodyParameters(method);
    private isPathableType(parameterType);
}
