import { Metadata } from '../metadataGeneration/metadataGenerator';
export interface Options {
    basePath: string;
    routeDir: string;
}
export declare class RouteGenerator {
    private readonly metadata;
    private readonly options;
    constructor(metadata: Metadata, options: Options);
    GenerateRoutes(middlewareTemplate: string): Promise<void>;
    GenerateExpressRoutes(): Promise<void>;
    private buildContent(middlewareTemplate);
    private getModels();
    private getStringRepresentationOfType(type);
    private getRelativeImportPath(controllerLocation);
    private getTemplateProperty(source);
    private getExpressPath(path);
}
